%global momorel 3

Summary: Crypt-SSLeay module for perl 
Name: perl-Crypt-SSLeay
Version: 0.57
Release: %{momorel}m%{?dist}
License: GPL
Group: Development/Languages
Source0: http://www.cpan.org/modules/by-module/Crypt/Crypt-SSLeay-%{version}.tar.gz
NoSource: 0
URL: http://www.cpan.org/modules/by-module/Crypt/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq: perl >= 1:5.8.1
BuildRequires: perl-ExtUtils-ParseXS

%description
Crypt-SSLeay module for perl

%prep
%setup -q -n Crypt-SSLeay-%{version} 

%build
yes "" | CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot}%{perl_vendorarch}/auto -name '.packlist' | xargs rm -f
find %{buildroot} -type f -name '*.bs' -a -empty -delete || :
find %{buildroot} -depth -type d -a -empty -delete || :

find %{buildroot}/usr -type f -print | \
	sed "s@^%{buildroot}@@g" | \
	grep -v perllocal.pod | \
	sed -e 's,\(.*/man/.*\),\1*,' | \
	grep -v "\.packlist" > Crypt-SSLeay-%{version}-filelist
if [ "$(cat Crypt-SSLeay-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean 
rm -rf %{buildroot}

%files -f Crypt-SSLeay-%{version}-filelist
%defattr(-,root,root)
%doc README*

%changelog
* Thu Jun  5 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.57-3m)
- rebuild against openssl-0.9.8h-1m

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.57-2m)
- rebuild against gcc43

* Wed Sep 19 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.57-1m)
- update to 0.57
- do not use %%NoSource macro

* Thu Jul 12 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.56-1m)
- update to 0.56

* Sun Jun  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.55-1m)
- update to 0.55

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.54-2m)
- use vendor

* Sat Apr 14 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.54-1m)
- update to 0.54

* Sat Dec 30 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (0.53-1m)
- update to 0.53

* Thu Sep 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.51-1m)
- spec file was autogenerated
